ifname<-c("PredLDA.csv", "PredQDA.csv", "PredKNN.csv", "PredNBA.csv",
          "PredDTR.csv", "PredNNW.csv", "PredKSV.csv", "PredRMF.csv" )
nfile<-length(ifname)
df1 <- read.delim(ifname[1], row.names=1, header=T,sep=",",as.is=TRUE,strip.white=FALSE)
mergeData<-(df1[,1]!=df1[,2])
for(i in 2:nfile){
  df <- read.delim(ifname[i], row.names=1, header=T,sep=",",as.is=TRUE,strip.white=FALSE)
  TF<-df[,1]!=df[,2]
  mergeData<-cbind(mergeData,TF)
}
colnames(mergeData)<-ifname; rownames(mergeData)<-rownames(df)
head(mergeData)
sumTF<-apply(mergeData,1,sum)
newdata<-mergeData[sumTF>0,]
newdata[newdata==TRUE]<-1; newdata[newdata==FALSE]<-0
head(newdata)
#---------------------------------------
#par(cex=1.0)
heatmap(newdata,cexRow=1.0,cexCol=1.0,scale = c("none"))